Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Solutions to misc kde problems
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
dufeu
l33t
l33t


Joined: 30 Aug 2002
Posts: 879
Location: US-FL-EST

PostPosted: Sat Jan 06, 2007 5:09 am    Post subject: KDE 3.5.5 issues Reply with quote

Hello all,

I'm having issues with either KDE programs crashing or failing with missing symbol messages. If I re-emerge the crashed/failed package, all is well.

What I would like to know how to do is re-emerge all of the KDE packages at one time. How can I do this?

BTW - this is the only one of 7 PCs misbehaving this way. All the others are fine. Also, revdep-rebuild does not solve the problem.
_________________
People whom think M$ is mediocre, don't know the half of it.
Back to top
View user's profile Send private message
ddecock
n00b
n00b


Joined: 25 Jan 2005
Posts: 9

PostPosted: Tue Jan 09, 2007 1:35 pm    Post subject: KDE and printing Reply with quote

Hi,
I also had some problems with KDE and printing. I discovered that the problem was caused by a newer version of cups ( 1.2.X ) in combination with KDE. I now resetted the cupsd.conf file to the default values, and added and configured cups using the web interface, and everything is working fine now.

Best regards
Back to top
View user's profile Send private message
charlesnadeau
Apprentice
Apprentice


Joined: 19 May 2003
Posts: 205
Location: Ottawa, Ontario, Canada

PostPosted: Mon Feb 19, 2007 10:35 pm    Post subject: Re: Solutions to misc kde problems Reply with quote

masterdriverz wrote:
Ok, so the kde update has cause some problems for people, and most of them have some fairly simple solutions. Heres some:

kde-env blocks kdelibs

The first thing to do is
Code:
emerge -C kde-env && emerge -1u kdelibs


Note: Stable users, try this:

Code:
emerge -C kde-env
emerge -1 kde-base/arts
emerge -1 kde-base/kdelibs
emerge -1 kde-base/kdesu
emerge -1 kde-base/kcminit


If you still get blockers, chances are you have a stale eclass in an overlay (normally /usr/local/portage/eclass/kde.eclass). Remove this and all should be good. Heres some further reading as to why having this eclass breaks things and is generally a bad idea.

I also have problem doing an "emerge -uaDv world" since last Thursday.
I tried what you suggest up to "emerge -1 kde-base/kdesu".
At this step I get:
Code:

Mosix7 distfiles # emerge -1a kdesu

These are the packages that would be merged, in order:

Calculating dependencies... done!
[blocks B     ] =kde-base/kdesu-3.5* (is blocking kde-base/kdebase-3.5.5-r3)
[blocks B     ] =kde-base/kdebase-3.5* (is blocking kde-base/kdesu-3.5.5)
[ebuild  N    ] kde-base/kdesu-3.5.5  USE="arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama"

!!! Error: The above package list contains packages which cannot be installed
!!!        at the same time on the same system.

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked



I am a bit puzzled here. Why is kdesu blocking itself? Should it be upgrading itself instead?

/usr/local/portage is empty and the files /etc/portage/package.mask and /etc/portage/package.unmask are zero-sized.
The file package.keywords contains
Code:

app-misc/klive ~x86


The file package.use contains
Code:

net-misc/nxserver-freenx commercial

The dependency tree of the packages I want to update is:

Code:

Mosix7 portage # emerge -uaDvt world

These are the packages that would be merged, in reverse order:

Calculating world dependencies \
!!! Ebuilds for the following packages are either all
!!! masked or don't exist:
dev-db/dbdesigner www-client/khttrack media-video/kdenlive

... done!
[blocks B     ] kde-base/kde-env (is blocking kde-base/kdelibs-3.5.5-r8)
[blocks B     ] >=kde-base/kdelibs-3.5.4-r2 (is blocking kde-base/kde-env-3-r4)
[nomerge      ] app-portage/abeni-0.0.9-r1  [No ebuild?]
[ebuild  N    ]  dev-python/wxpython-2.6.3.3  USE="opengl unicode" 0 kB
[ebuild     U ] media-plugins/gst-plugins-alsa-0.10.11 [0.10.4] 0 kB
[ebuild     U ] media-plugins/gst-plugins-oss-0.10.3 [0.10.2] 0 kB
[ebuild     U ] media-plugins/gst-plugins-xvideo-0.10.11 [0.10.4-r1] 0 kB
[ebuild     U ] media-plugins/gst-plugins-x-0.10.11 [0.10.4] 0 kB
[ebuild     U ] media-plugins/gst-plugins-esd-0.10.3 [0.10.2] 0 kB
[nomerge      ] dev-cpp/gtkmm-1.2.9-r2  USE="-debug"
[ebuild     U ]  dev-libs/libsigc++-1.0.4-r3 [1.0.4-r2] USE="-debug" 208 kB
[nomerge      ] dev-db/xmysqladmin-1.0  [No ebuild?]
[ebuild     U ]  x11-libs/xforms-1.0.90-r1 [1.0.90] USE="opengl%*" 969 kB
[nomerge      ] media-sound/emu10k1-0.20a-r5  [No ebuild?]
[ebuild     U ]  media-sound/aumix-2.8-r4 [2.8-r2] USE="gpm gtk nls (-gtk2%*)" 154 kB
[nomerge      ] kde-base/kde-3.5.5  USE="-accessibility"
[nomerge      ]  kde-base/kdeaddons-3.5.5  USE="arts berkdb sdl -debug -kdeenablefinal -xinerama"
[nomerge      ]   kde-base/kdemultimedia-3.5.5  USE="alsa arts encode gstreamer mp3 vorbis -akode -audiofile -debug -flac -kdeenablefinal -theora -xine -xinerama"
[ebuild     U ]    media-plugins/gst-plugins-ogg-0.10.11 [0.10.4] 0 kB
[ebuild     U ]    media-plugins/gst-plugins-vorbis-0.10.11 [0.10.4] 0 kB
[ebuild     U ]     media-libs/gst-plugins-base-0.10.11 [0.10.8] USE="X alsa esd oss xv -debug" 0 kB
[ebuild     U ]      media-libs/gstreamer-0.10.11 [0.10.8] 0 kB
[ebuild     U ]      dev-libs/liboil-0.3.10-r1 [0.3.6-r1] USE="doc%*" 0 kB
[ebuild  N    ]  kde-base/kdegraphics-3.5.5-r2  USE="arts imlib opengl pdf -debug -gphoto2 -kdeenablefinal -openexr -povray -scanner -tetex -xinerama" 0 kB
[ebuild     U ] net-www/netscape-flash-9.0.31.0 [7.0.68] USE="-debug%" 11,163 kB
[nomerge      ] net-ftp/kbear-2.1.1-r1  USE="arts -debug -gnome -kdeenablefinal -xinerama" [No ebuild?]
[ebuild  N    ]  kde-base/kde-env-3-r4  0 kB
[nomerge      ] dev-db/pygresql-3.6.2
[ebuild     U ]  dev-db/libpq-8.0.12 [8.0.9] USE="nls pam readline ssl zlib -kerberos -pg-intdatetime -threads" 0 kB
[nomerge      ] media-video/piave-0.2.4  USE="nls" [No ebuild?]
[nomerge      ]  media-libs/gdk-pixbuf-0.22.0-r5  USE="X doc -mmx" [No ebuild?]
[nomerge      ]   gnome-base/gnome-libs-1.4.2  USE="doc esd kde nls" [No ebuild?]
[ebuild     U ]    sys-libs/db-1.85-r3 [1.85-r2] 15 kB
[nomerge      ] app-cdr/k3b-0.12.17  USE="alsa arts encode kde mp3 vorbis -css -debug -dvdr -ffmpeg -flac -hal -musepack -musicbrainz -sndfile -vcd -xinerama" LINGUAS="-af -bg -bn -br -bs -ca -cs -cy -da -de -el -en_GB -es -et -eu -fi -fr -ga -he -hi -hu -is -it -ja -km -lt -mk -ms -nb -nds -nl -nn -pa -pl -pt -pt_BR -ro -ru -se -sl -sr -sr@Latn -sv -ta -tr -uk -zh_CN -zh_TW"
[ebuild     U ]  media-libs/libsamplerate-0.1.2-r1 [0.1.2] USE="-fftw -sndfile" 0 kB
[nomerge      ] media-sound/audacity-1.3.0b  USE="encode mad unicode"
[ebuild     U ]  media-sound/lame-3.97 [3.96.1] USE="gtk -debug -mp3rtp%" 0 kB
[nomerge      ] app-office/scribus-1.3.3.3  USE="-cairo"
[ebuild     U ]  media-libs/lcms-1.15 [1.14-r1] USE="jpeg python tiff zlib" 0 kB
[nomerge      ] sys-apps/qtparted-0.4.5  USE="kde -gnome -jfs -ntfs -reiserfs -xfs"
[nomerge      ]  kde-base/kdebase-3.5.5-r3  USE="arts cups java lm_sensors opengl pam samba ssl -debug -hal -ieee1394 -kdeenablefinal -kdehiddenvisibility -ldap -logitech-mouse -openexr -xcomposite -xinerama -xscreensaver -zeroconf"
[nomerge      ]   dev-libs/cyrus-sasl-2.1.22-r1  USE="berkdb crypt gdbm java mysql pam ssl -authdaemond -kerberos -ldap -ntlm_unsupported_patch -postgres -sample -srp -urandom"
[ebuild  NS   ]    virtual/jdk-1.4.2  0 kB
[nomerge      ]   kde-base/kdelibs-3.5.5-r8  USE="alsa arts cups doc spell ssl tiff -acl -avahi -debug -fam -jpeg2k -kdeenablefinal -kdehiddenvisibility -kerberos -legacyssl -lua -openexr -utempter -xinerama -zeroconf" LINGUAS="-he"
[nomerge      ]    kde-base/arts-3.5.5  USE="alsa esd mp3 vorbis -artswrappersuid -debug -jack -kdeenablefinal -nas -xinerama"
[nomerge      ]     x11-libs/qt-3.3.6-r4  USE="cups doc gif ipv6 mysql opengl -debug -examples -firebird -immqt -immqt-bc -nas -nis -odbc -postgres -sqlite -xinerama"
[nomerge      ]      net-print/cups-1.2.6  USE="X jpeg nls pam php png samba ssl tiff -dbus -ppds -slp"
[ebuild     U ]       app-text/poppler-0.5.4-r1 [0.5.4] USE="jpeg zlib -cjk" 0 kB

Total: 24 packages (20 upgrades, 3 new, 1 in new slot, 2 blocks), Size of downloads: 12,507 kB

!!! Error: The above package list contains packages which cannot be installed
!!!        at the same time on the same system.

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked



What should I do next?
Thanks!

Charles
_________________
Charles Nadeau
http://radio.weblogs.com/0111823/
http://charlesnadeau.blogspot.com/search/label/Gentoo
Back to top
View user's profile Send private message
katafitos
n00b
n00b


Joined: 22 Nov 2006
Posts: 56
Location: Greece

PostPosted: Thu Mar 22, 2007 1:22 am    Post subject: Reply with quote

I have a problem with the right click menu in kde
and specifically the "Compress" option is missing
http://liquidweather.net/howto/assets/images/konq.png

I searched on
/usr/kde/3.5/share/apps/konqueror/servicemenus

but I couldn't find anything there...

Any idea on how to restore it back to the right click menu?
Back to top
View user's profile Send private message
fbcyborg
Advocate
Advocate


Joined: 16 Oct 2005
Posts: 3056
Location: ROMA

PostPosted: Thu Mar 22, 2007 7:20 am    Post subject: Reply with quote

Hi!

I'm not sure, but maybe you shoud emerge kde-base/konq-plugins and kde-base/konqueror-akregator.

Let's try...
_________________
[HOWTO] Come criptare la /home usando cryptsetup e luks
[HOWTO] Abilitare il supporto al dom0 XEN su kernel 3.X
Help answer the unanswered
Back to top
View user's profile Send private message
katafitos
n00b
n00b


Joined: 22 Nov 2006
Posts: 56
Location: Greece

PostPosted: Thu Mar 22, 2007 8:09 am    Post subject: Reply with quote

Hi

I re-merged both konq-plugins and konqueror-akregator but no luck

In addition to that I can't see any option of extracting a compressed file when I right-click it

I am sure I used to have these right click options because I rsynced my system to another machine and on that one I can see these options

Lately I installed a konqueror service menu
Does this have to do anything with that?
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 8915

PostPosted: Thu Mar 22, 2007 10:41 pm    Post subject: Reply with quote

katafitos wrote:
I re-merged both konq-plugins and konqueror-akregator but no luck
Is either kde-base/ark or kde-base/kdeutils (for split or monolithic installations respectively) installed on that system in the slot corresponding to the KDE version you are using?
Back to top
View user's profile Send private message
katafitos
n00b
n00b


Joined: 22 Nov 2006
Posts: 56
Location: Greece

PostPosted: Thu Mar 22, 2007 11:37 pm    Post subject: Reply with quote

desultory wrote:
katafitos wrote:
I re-merged both konq-plugins and konqueror-akregator but no luck
Is either kde-base/ark or kde-base/kdeutils (for split or monolithic installations respectively) installed on that system in the slot corresponding to the KDE version you are using?

Yes I have kde-base/ark-3.5.6 installed in my system (I installed kde with kde-meta)

The strange thing is that I definitely had Compress option in the right click menu because I can see it on another machine that I rsynced my system to that, 3 weeks ago. But I couldn't see any difference in the konq service menu directory...
Back to top
View user's profile Send private message
Rahu
n00b
n00b


Joined: 06 Feb 2007
Posts: 21

PostPosted: Fri Mar 23, 2007 2:56 am    Post subject: Reply with quote

I'm having a blocking problem with updating to the latest kde. I have already unmerged all the listed packages, but they continue to block, anyone know why?

Code:
localhost jeff # emerge -avuD world
>>> cfg-update-1.8.0-r6: No new packages have been emerged, checksum index OK!

These are the packages that would be merged, in order:

Calculating world dependencies... done!
[ebuild     U ] app-arch/zip-2.32 [2.31-r1] USE="crypt" 789 kB
[ebuild     U ] app-arch/cpio-2.7-r1 [2.6-r5] USE="nls" 682 kB
[ebuild     U ] sys-apps/busybox-1.4.1-r2 [1.2.2.1] USE="-debug -make-symlinks -savedconfig -static (-netboot%)" 1,476 kB
[ebuild     U ] sys-apps/man-pages-2.43 [2.42] USE="nls" 1,780 kB
[ebuild     U ] sys-apps/gawk-3.1.5-r3 [3.1.5-r2] USE="nls" 0 kB
[ebuild     U ] sys-apps/net-tools-1.60-r13 [1.60-r12] USE="nls -static" 105 kB
[ebuild     U ] app-arch/gzip-1.3.11 [1.3.5-r10] USE="nls -pic -static (-build%)" 422 kB
[ebuild     U ] app-arch/tar-1.16.1 [1.16-r2] USE="nls -static" 1,752 kB
[ebuild     U ] dev-util/desktop-file-utils-0.12 [0.11] 341 kB
[ebuild     U ] app-admin/sysklogd-1.4.2_pre20061230 [1.4.2_pre20051017] 13 kB
[ebuild  N    ] kde-base/kdebase-pam-6  0 kB
[ebuild  N    ] x11-apps/xrandr-1.0.2  USE="-debug" 79 kB
[ebuild  N    ] x11-apps/xsetroot-1.0.1  USE="-debug" 76 kB
[ebuild  N    ] x11-apps/xset-1.0.2  USE="-debug" 91 kB
[ebuild  N    ] x11-apps/setxkbmap-1.0.2  USE="-debug" 83 kB
[ebuild     U ] x11-wm/beryl-core-0.2.1 [0.1.4] USE="(-debug%)" 1,249 kB
[ebuild     U ] media-video/ffmpeg-0.4.9_p20070129 [0.4.9_p20061016] USE="encode imlib ogg oss sdl truetype vorbis zlib -a52 -aac (-altivec) -amr -debug -doc -dts -ieee1394 -mmx -network -test -theora -threads -v4l -x264 -xvid" 2,038 kB
[ebuild     U ] x11-misc/beryl-manager-0.2.1 [0.1.4] USE="(-debug%)" 174 kB
[ebuild  N    ] x11-misc/beryl-settings-bindings-0.2.1  235 kB
[ebuild  N    ] kde-base/libkonq-3.5.5  USE="arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild  N    ] kde-base/kdebase-data-3.5.5  USE="-debug -kdeenablefinal -xinerama" 0 kB
[ebuild  N    ] kde-base/kdialog-3.5.5  USE="arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild  N    ] kde-base/khelpcenter-3.5.5  USE="arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild  N    ] kde-base/kdesu-3.5.5  USE="arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild  N    ] kde-base/kcminit-3.5.3  USE="arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild  N    ] kde-base/khotkeys-3.5.5  USE="arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild  N    ] kde-base/kdebase-3.5.5-r3  USE="arts cups hal opengl pam ssl -debug -ieee1394 -java -kdeenablefinal -kdehiddenvisibility -ldap -lm_sensors -logitech-mouse -openexr -samba -xcomposite -xinerama -xscreensaver -zeroconf" 0 kB
[ebuild     U ] media-libs/xine-lib-1.1.4-r2 [1.1.3] USE="X alsa arts dvd gnome gtk ipv6 mad nls opengl oss sdl truetype vorbis xv -a52 -aac -aalib (-altivec) -debug -directfb -dts -dxr3 -esd -fbcon -flac -imagemagick -libcaca -mmap -mng -modplug -musepack% -pulseaudio -samba% -speex -theora -v4l -vcd -vidix -wavpack% -win32codecs -xcb% -xinerama -xvmc" 6,856 kB
[ebuild  N    ] kde-base/kfind-3.5.5  USE="arts -debug -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild  N    ] kde-base/kdebase-kioslaves-3.5.5-r1  USE="arts hal -debug -kdeenablefinal -kdehiddenvisibility -ldap -openexr -samba -xinerama" 0 kB
[ebuild  N    ] kde-base/kicker-3.5.5  USE="arts -debug -kdeenablefinal -kdehiddenvisibility -xcomposite -xinerama" 0 kB
[ebuild  N    ] x11-wm/aquamarine-0.2.1  USE="arts -debug -xinerama" 426 kB
[ebuild  N    ] kde-base/kcontrol-3.5.5  USE="arts opengl ssl -debug -ieee1394 -kdeenablefinal -kdehiddenvisibility -logitech-mouse -xinerama" 0 kB
[ebuild  N    ] kde-base/konqueror-3.5.5  USE="arts -debug -java -kdeenablefinal -kdehiddenvisibility -xinerama" 0 kB
[ebuild     U ] x11-plugins/beryl-plugins-0.2.1 [0.1.4] USE="dbus* (-debug%)" 2,543 kB
[ebuild     U ] x11-misc/beryl-settings-0.2.1 [0.1.4] USE="(-debug%)" 348 kB
[ebuild     U ] x11-wm/heliodor-0.2.1 [0.1.4] 248 kB
[ebuild     U ] app-text/evince-0.6.1-r2 [0.6.1-r1] USE="dbus* gnome -debug -djvu -doc -dvi -t1lib -tiff" 0 kB
[ebuild     U ] x11-wm/beryl-0.2.1 [0.1.4] USE="gnome%* kde%* -emerald%" 0 kB
[blocks B     ] =kde-base/konqueror-3.5* (is blocking kde-base/kdebase-3.5.5-r3)
[blocks B     ] =kde-base/kicker-3.5* (is blocking kde-base/kdebase-3.5.5-r3)
[blocks B     ] =kde-base/kcontrol-3.5* (is blocking kde-base/kdebase-3.5.5-r3)
[blocks B     ] =kde-base/kdesu-3.5* (is blocking kde-base/kdebase-3.5.5-r3)
[blocks B     ] =kde-base/kdebase-data-3.5* (is blocking kde-base/kdebase-3.5.5-r3)
[blocks B     ] =kde-base/kfind-3.5* (is blocking kde-base/kdebase-3.5.5-r3)
[blocks B     ] =kde-base/libkonq-3.5* (is blocking kde-base/kdebase-3.5.5-r3)
[blocks B     ] =kde-base/khelpcenter-3.5* (is blocking kde-base/kdebase-3.5.5-r3)
[blocks B     ] =kde-base/kdebase-3.5* (is blocking kde-base/kcontrol-3.5.5, kde-base/kdebase-data-3.5.5, kde-base/libkonq-3.5.5, kde-base/khelpcenter-3.5.5, kde-base/khotkeys-3.5.5, kde-base/kdialog-3.5.5, kde-base/kcminit-3.5.3, kde-base/konqueror-3.5.5, kde-base/kdebase-kioslaves-3.5.5-r1, kde-base/kfind-3.5.5, kde-base/kicker-3.5.5, kde-base/kdesu-3.5.5)
[blocks B     ] =kde-base/kdebase-kioslaves-3.5* (is blocking kde-base/kdebase-3.5.5-r3)
[blocks B     ] =kde-base/khotkeys-3.5* (is blocking kde-base/kdebase-3.5.5-r3)
[blocks B     ] =kde-base/kcminit-3.5* (is blocking kde-base/kdebase-3.5.5-r3)
[blocks B     ] =kde-base/kdialog-3.5* (is blocking kde-base/kdebase-3.5.5-r3)

Total: 39 packages (19 upgrades, 20 new, 13 blocks), Size of downloads: 21,794 kB

!!! Error: The above package list contains packages which cannot be installed
!!!        at the same time on the same system.

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked
Back to top
View user's profile Send private message
katafitos
n00b
n00b


Joined: 22 Nov 2006
Posts: 56
Location: Greece

PostPosted: Mon Mar 26, 2007 9:39 am    Post subject: Reply with quote

katafitos wrote:
desultory wrote:
katafitos wrote:
I re-merged both konq-plugins and konqueror-akregator but no luck
Is either kde-base/ark or kde-base/kdeutils (for split or monolithic installations respectively) installed on that system in the slot corresponding to the KDE version you are using?

Yes I have kde-base/ark-3.5.6 installed in my system (I installed kde with kde-meta)

The strange thing is that I definitely had Compress option in the right click menu because I can see it on another machine that I rsynced my system to that, 3 weeks ago. But I couldn't see any difference in the konq service menu directory...

I just enabled the Compress option again
going to configure ark-->general-->enable konqueror integration

It was less complicated than I thought :oops:
Back to top
View user's profile Send private message
mathfeel
l33t
l33t


Joined: 03 Aug 2004
Posts: 700

PostPosted: Sat Mar 31, 2007 3:07 am    Post subject: Reply with quote

Long ago, I couldn't get KDE to make any sound (all qt/kde program such as amarok has no problem). And I realized that I need to compile kdelibs with +arts USE flag. Is this still true today? kdelibs is the ONLY package with +arts in my computer because I had a lot of problem with arts before and I understand that it is being phase out of kde4.
_________________
-----------------------------------------------------------
"In heaven all the interesting people are missing"
-- Friedrich Nietzsche
Back to top
View user's profile Send private message
katafitos
n00b
n00b


Joined: 22 Nov 2006
Posts: 56
Location: Greece

PostPosted: Sat Mar 31, 2007 6:08 am    Post subject: Reply with quote

mathfeel wrote:
Long ago, I couldn't get KDE to make any sound (all qt/kde program such as amarok has no problem). And I realized that I need to compile kdelibs with +arts USE flag. Is this still true today? kdelibs is the ONLY package with +arts in my computer because I had a lot of problem with arts before and I understand that it is being phase out of kde4.


I used to have kdelibs without arts and I didn't have any major problems with the sound. But I compiled kdelibs now with arts in order to have thumbnails on my video files.
Back to top
View user's profile Send private message
mathfeel
l33t
l33t


Joined: 03 Aug 2004
Posts: 700

PostPosted: Fri Apr 06, 2007 1:06 am    Post subject: Reply with quote

I can't emerge anything that depends on KDE. compile always failed at "kde-config...not found". What gives? I re-emerged kdelibs but that didn't do anything
_________________
-----------------------------------------------------------
"In heaven all the interesting people are missing"
-- Friedrich Nietzsche
Back to top
View user's profile Send private message
pfadt_mann
n00b
n00b


Joined: 28 Feb 2007
Posts: 55
Location: Dallas, Texas

PostPosted: Wed Apr 11, 2007 1:48 am    Post subject: Reply with quote

Okay, I've seen a lot of posts for package blockage. I have a different problem though, please see my avatar. When ever I launch kde, I get this big gray volume box in the middle of the screen that won't go a way and it stays in front of everything. When I adjust the volume it drops back to 0 as soon as I stop moving the cursor.

My system is a Dell D800 with Nvidia GeForce Go5200 32MB, 512 RAM, Intel8x0 sound card. I se the Alps pad and a USB mouse, both work fine.

Code:


jmhlap-gn2 cfg # emerge -puvND world

These are the packages that would be merged, in order:

Calculating world dependencies... done!

Total: 0 packages, Size of downloads: 0 kB



System sounds wont play in the GUI but they work fine on the command line or console. I emerge kde-meta to start. I see the following in earlier posts:


Code:


emerge -C kde-env
emerge -1 kde-base/arts
emerge -1 kde-base/kdelibs
emerge -1 kde-base/kdesu
emerge -1 kde-base/kcminit

But when I try it:

Code:


jmhlap-gn2 cfg # emerge -C kde-env

--- Couldn't find 'kde-env' to unmerge.

>>> No packages selected for removal by unmerge



when I revdep-rebuild:


Code:


jmhlap-gn2 cfg # revdep-rebuild -p
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... done.
  (/root/.revdep-rebuild.1_files)

Collecting complete LD_LIBRARY_PATH... done.
  (/root/.revdep-rebuild.2_ldpath)

Checking dynamic linking consistency...
 done.
  (/root/.revdep-rebuild.3_rebuild)

Assigning files to ebuilds... Nothing to rebuild

Evaluating package order... done.
  (/root/.revdep-rebuild.5_order)

Dynamic linking on your system is consistent... All done.



Maybe I am misunderstanding the kde-env, I have kde but no kde-env. Is something missing? I didn't see a kde-env on the portage web site

http://gentoo-portage.com/Browse

or

http://gentoo-portage.com/kde-base

Code:


jmhlap-gn2 cfg #[b] equery list |grep kde[/b]
kde-base/akregator-3.5.5
kde-base/amor-3.5.5
kde-base/ark-3.5.5
kde-base/arts-3.5.5
kde-base/atlantik-3.5.5
kde-base/atlantikdesigner-3.5.5
kde-base/blinken-3.5.5
kde-base/certmanager-3.5.5
kde-base/dcoprss-3.5.5
kde-base/drkonqi-3.5.5
kde-base/eyesapplet-3.5.5
kde-base/fifteenapplet-3.5.5
kde-base/kaddressbook-3.5.5
kde-base/kaddressbook-plugins-3.5.5
kde-base/kalarm-3.5.5
kde-base/kalzium-3.5.5
kde-base/kanagram-3.5.5
kde-base/kandy-3.5.5
kde-base/kappfinder-3.5.5
kde-base/karm-3.5.5
kde-base/kate-3.5.5-r1
kde-base/kate-plugins-3.5.5
kde-base/katomic-3.5.5
kde-base/kbackgammon-3.5.5
kde-base/kbattleship-3.5.5
kde-base/kblackbox-3.5.5
kde-base/kbruch-3.5.5
kde-base/kcalc-3.5.5
kde-base/kcharselect-3.5.5
kde-base/kcheckpass-3.5.0
kde-base/kcminit-3.5.3
kde-base/kcoloredit-3.5.5
kde-base/kcontrol-3.5.5
kde-base/kcron-3.5.5
kde-base/kdcop-3.5.1
kde-base/kde-i18n-3.5.5
kde-base/kde-meta-3.5.5
kde-base/kdeaddons-docs-konq-plugins-3.5.4
kde-base/kdeaddons-kfile-plugins-3.5.0
kde-base/kdeaddons-meta-3.5.5
kde-base/kdeadmin-kfile-plugins-3.5.5
kde-base/kdeadmin-meta-3.5.5
kde-base/kdeartwork-emoticons-3.5.4
kde-base/kdeartwork-icewm-themes-3.5.5
kde-base/kdeartwork-iconthemes-3.5.5
kde-base/kdeartwork-kscreensaver-3.5.5
kde-base/kdeartwork-kwin-styles-3.5.5
kde-base/kdeartwork-kworldclock-3.5.5
kde-base/kdeartwork-meta-3.5.5
kde-base/kdeartwork-sounds-3.5.0
kde-base/kdeartwork-styles-3.5.5
kde-base/kdeartwork-wallpapers-3.5.5
kde-base/kdebase-data-3.5.5
kde-base/kdebase-kioslaves-3.5.5-r1
kde-base/kdebase-meta-3.5.5
kde-base/kdebase-pam-6
kde-base/kdebase-startkde-3.5.5
kde-base/kdebugdialog-3.5.0
kde-base/kdeedu-applnk-3.5.5
kde-base/kdeedu-meta-3.5.5
kde-base/kdegames-meta-3.5.5
kde-base/kdegraphics-kfile-plugins-3.5.5-r1
kde-base/kdegraphics-meta-3.5.5
kde-base/kdejava-3.5.5-r1
kde-base/kdelibs-3.5.5-r10
kde-base/kdemultimedia-kappfinder-data-3.5.5
kde-base/kdemultimedia-kfile-plugins-3.5.5
kde-base/kdemultimedia-kioslaves-3.5.5
kde-base/kdemultimedia-meta-3.5.5
kde-base/kdenetwork-filesharing-3.5.5
kde-base/kdenetwork-kfile-plugins-3.5.5
kde-base/kdenetwork-meta-3.5.5
kde-base/kdepasswd-3.5.5
kde-base/kdepim-kioslaves-3.5.5
kde-base/kdepim-kresources-3.5.5
kde-base/kdepim-meta-3.5.5
kde-base/kdepim-wizards-3.5.5
kde-base/kdeprint-3.5.5
kde-base/kdesktop-3.5.5-r1
kde-base/kdesu-3.5.5
kde-base/kdetoys-meta-3.5.5
kde-base/kdeutils-meta-3.5.5
kde-base/kdewebdev-meta-3.5.5
kde-base/kdf-3.5.5
kde-base/kdialog-3.5.5
kde-base/kdict-3.5.5
kde-base/kdm-3.5.5-r1
kde-base/kdnssd-3.5.5
kde-base/kdvi-3.5.5
kde-base/kedit-3.5.5
kde-base/keduca-3.5.5
kde-base/kenolaba-3.5.5
kde-base/kfax-3.5.5
kde-base/kfilereplace-3.5.5
kde-base/kfind-3.5.5
kde-base/kfloppy-3.5.5
kde-base/kfouleggs-3.5.5
kde-base/kgamma-3.5.5
kde-base/kgeography-3.5.5
kde-base/kget-3.5.5
kde-base/kghostview-3.5.5
kde-base/kgoldrunner-3.5.5
kde-base/kgpg-3.5.5
kde-base/khangman-3.5.5
kde-base/khelpcenter-3.5.5
kde-base/khexedit-3.5.5
kde-base/khotkeys-3.5.5
kde-base/kicker-3.5.5
kde-base/kicker-applets-3.5.5
kde-base/kiconedit-3.5.5
kde-base/kig-3.5.5
kde-base/kimagemapeditor-3.5.5
kde-base/kitchensync-3.5.5
kde-base/kiten-3.5.5
kde-base/kjots-3.5.5
kde-base/kjumpingcube-3.5.5
kde-base/klaptopdaemon-3.5.5
kde-base/klatin-3.5.5
kde-base/klettres-3.5.5
kde-base/klickety-3.5.5
kde-base/klines-3.5.5
kde-base/klinkstatus-3.5.5
kde-base/klipper-3.5.5
kde-base/kmahjongg-3.5.5
kde-base/kmail-3.5.5-r1
kde-base/kmailcvt-3.5.5
kde-base/kmenuedit-3.5.5
kde-base/kmid-3.5.5
kde-base/kmilo-3.5.5
kde-base/kmines-3.5.5
kde-base/kmix-3.5.5
kde-base/kmoon-3.5.5
kde-base/kmplot-3.5.5
kde-base/kmrml-3.5.5
kde-base/knetattach-3.5.5
kde-base/knewsticker-3.5.5
kde-base/knewsticker-scripts-3.5.5
kde-base/knode-3.5.5
kde-base/knotes-3.5.5
kde-base/kode-3.5.2
kde-base/kodo-3.5.5
kde-base/kolourpaint-3.5.5
kde-base/kommander-3.5.5
kde-base/konq-plugins-3.5.5
kde-base/konqueror-3.5.5
kde-base/konqueror-akregator-3.5.5
kde-base/konquest-3.5.5
kde-base/konsole-3.5.5
kde-base/konsolekalendar-3.5.5
kde-base/kontact-3.5.5
kde-base/kontact-specialdates-3.5.5
kde-base/kopete-3.5.5-r2
kde-base/korganizer-3.5.5-r1
kde-base/korn-3.5.5
kde-base/kpager-3.5.5
kde-base/kpat-3.5.5
kde-base/kpdf-3.5.5-r1
kde-base/kpercentage-3.5.5
kde-base/kpersonalizer-3.5.5
kde-base/kpf-3.5.5
kde-base/kpoker-3.5.5
kde-base/kppp-3.5.5
kde-base/krdc-3.5.5
kde-base/kreadconfig-3.5.0
kde-base/kregexpeditor-3.5.5
kde-base/kreversi-3.5.5
kde-base/krfb-3.5.5
kde-base/kruler-3.5.5
kde-base/ksame-3.5.5
kde-base/kscd-3.5.5
kde-base/kscreensaver-3.5.5
kde-base/kshisen-3.5.5
kde-base/ksig-3.5.5
kde-base/ksim-3.5.5
kde-base/ksirc-3.5.5-r1
kde-base/ksirtet-3.5.5
kde-base/ksmiletris-3.5.5
kde-base/ksmserver-3.5.5
kde-base/ksnake-3.5.5
kde-base/ksnapshot-3.5.5
kde-base/ksokoban-3.5.5
kde-base/kspaceduel-3.5.5
kde-base/ksplashml-3.5.5
kde-base/kstars-3.5.5
kde-base/kstart-3.5.0
kde-base/ksvg-3.5.5
kde-base/ksync-3.5.5
kde-base/ksysguard-3.5.5
kde-base/ksystraycmd-3.5.5
kde-base/ktalkd-3.5.5
kde-base/kteatime-3.5.5
kde-base/ktimer-3.5.5
kde-base/ktip-3.5.5
kde-base/ktnef-3.5.5
kde-base/ktouch-3.5.5
kde-base/ktron-3.5.5
kde-base/ktuberling-3.5.5
kde-base/kturtle-3.5.5
kde-base/ktux-3.5.5
kde-base/kuser-3.5.5
kde-base/kverbos-3.5.5
kde-base/kview-3.5.5
kde-base/kviewshell-3.5.5
kde-base/kvoctrain-3.5.5
kde-base/kwalletmanager-3.5.5
kde-base/kweather-3.5.5
kde-base/kwin-3.5.5-r2
kde-base/kwin4-3.5.5
kde-base/kwordquiz-3.5.5
kde-base/kworldwatch-3.5.5
kde-base/kxkb-3.5.5
kde-base/kxsldbg-3.5.5
kde-base/libkcal-3.5.5
kde-base/libkcddb-3.5.5
kde-base/libkdeedu-3.5.4
kde-base/libkdegames-3.5.5
kde-base/libkdenetwork-3.5.4
kde-base/libkdepim-3.5.5-r1
kde-base/libkholidays-3.5.5
kde-base/libkmime-3.5.3
kde-base/libkonq-3.5.5
kde-base/libkpgp-3.5.4
kde-base/libkpimexchange-3.5.5
kde-base/libkpimidentities-3.5.5
kde-base/libksieve-3.5.0
kde-base/librss-3.5.0
kde-base/lilo-config-3.5.5
kde-base/lisa-3.5.5
kde-base/lskat-3.5.5
kde-base/mimelib-3.5.4
kde-base/networkstatus-3.5.5
kde-base/nsplugins-3.5.5-r1
kde-base/qtjava-3.5.2-r1
kde-base/quanta-3.5.5
kde-base/renamedlg-audio-3.5.5
kde-base/renamedlg-images-3.5.5
kde-base/secpolicy-3.5.0
kde-base/superkaramba-3.5.5



I have gone so far as to reformat the partition and reinstall the entire system but I the same thing happens.

Here is my make.conf.

Code:


jmhlap-gn2 cfg # cat /etc/make.conf
#
# Set by jmh based on recent experience
#
CFLAGS="-O2 -march=pentium-m -mfpmath=sse -pipe"
#
CHOST="i686-pc-linux-gnu"
#
CXXFLAGS="${CFLAGS}"
#
MAKEOPTS="-j2"
#
FEATURES="parallel-fetch ccache"
#
EMERGE_DEFAULT_OPTS="--alphabetical --columns --verbose"
#
#PORTAGE_BINHOST=""
#
PORT_LOGDIR=/var/log/portage
#
GENTOO_MIRRORS="ftp://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://cudlug.cudenver.edu/gentoo/ ftp://ftp.ndlug.nd.edu/pub/gentoo/ http://open-systems.ufl.edu/mirrors/gentoo http://prometheus.cs.wmich.edu/gentoo http://modzer0.cs.uaf.edu/public/gentoo/ http://mirror.usu.edu/mirrors/gentoo/ ftp://mirror.usu.edu/mirrors/gentoo/ http://mirror.utdlug.org/linux/distributions/gentoo/ ftp://mirror.utdlug.org/linux/distributions/gentoo/ "
#
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
#
INPUT_DEVICES="evdev keyboard mouse vmmouse"
#
VIDEO_CARDS="nvidia vesa fbdev"
#
ALSA_CARDS="intel8x0"
#
USE="3dnow a52 aalib aac acl acpi alsa avahi avi cdr cups \
     dbus dvd dvdr dvdread flatfile gdbm giff gnome gpm hal \
     icq java javascript jpeg kde mad mmx mps mpeg opengl \
     pdf png qt qt4 samba seamonkey sse svg tiff truetype \
     udev unicode usb vcd vorbis win32codecs wmf \
     X xine xml xscreeensaver xvid zlib"


and the kde portion of package.use

Code:

kde-base/kdebase zeroconf
kde-base/kdemultimedia audiofile


Basically kde is useless to me in this state. I don't mind gnome or xfce4 but I like kde better. I have another desktop that I run kde on, I don't get the gray box but I don't have system sounds either. Again, they work fine from the console and Xine works great.

My secondary system is a home build AMD 2200, abit mother board with via 82cxx chipset, ATI Mach64 8MB video, cm8783 creative sound card (I've turned the on board sound card off in the BIOS to troubleshoot this issue).

If it helps, I don't get system sounds with xfce4 or gnome either but I can play MP3 just fine but I don't get an annoying boxes in the middle of the screen. I have been temped to start over again (old windows habit) but I would rather learn what's wrong and fix it.

I have also see a couple post saying to change my compiler version to gcc 4.1 rather than gcc 4.1.1. I am not sure how to change the compiler version. but I do believe I am using 4.1.1:

Code:

jmhlap-gn2 cfg # gcc-config -E
export PATH="[b]/usr/i686-pc-linux-gnu/gcc-bin/4.1.1[/b]:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/sbin:/usr/local/sbin:/usr/local/bin
:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/i686-pc-linux-gnu/gcc-bin/4.1.1:/usr/i686-pc-linux-gnu/gcc-bin/4.1.1:/usr/kde/3.5
/sbin:/usr/kde/3.5/bin:/usr/qt/3/bin"





Any ideas :?: :( :cry: :? :roll:
_________________
Pfadt Mann
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page Previous  1, 2, 3
Page 3 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum